# use upstream hardening flags instead of ours
# https://github.com/keithw/mosh/issues/203#issuecomment-5167309
%define _ssp_cflags	-fstack-protector-all --param ssp-buffer-size=1

Name:		mosh
Version:	1.4.0
Release:	%mkrel 4
Summary:	Mobile shell that supports roaming and intelligent local echo
License:	GPLv3+
Group:		Networking/Remote access
URL:		https://mosh.mit.edu/
Source0:	https://github.com/mobile-shell/mosh/releases/download/%{name}-%{version}/%{name}-%{version}.tar.gz
# https://github.com/mobile-shell/mosh/commit/eee1a8cf
Patch1:		0001-Bump-C++-version-to-C++17.patch
BuildRequires:	protobuf-compiler
BuildRequires:	utempter-devel
BuildRequires:	boost-devel
BuildRequires:	pkgconfig(protobuf)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(bash-completion)

Requires:	openssh-clients

%description
Mosh (mobile shell) is a remote terminal application that supports:

  - Intermittent network connectivity
  - Roaming to different IP address without dropping the connection
  - Intelligent local echo and line editing to reduce the effects
    of "network lag" on high-latency connections.

%prep
%autosetup -p1

%build
autoreconf -vfi
%configure \
	--disable-silent-rules \
	--enable-ufw \
	--enable-completion
%make_build

%install
%make_install

%files
%doc AUTHORS README.md ChangeLog
%license COPYING
%dir %{_sysconfdir}/ufw/
%dir %{_sysconfdir}/ufw/applications.d/
%config %{_sysconfdir}/ufw/applications.d/%{name}
%{_datadir}/bash-completion/completions/%{name}
%{_bindir}/%{name}*
%{_mandir}/man1/%{name}*.1.*


%changelog
* Sun Jul 06 2025 umeabot <umeabot> 1.4.0-4.mga10
+ Revision: 2247325
- Mageia 10 Mass Rebuild

* Mon Mar 10 2025 daviddavid <daviddavid> 1.4.0-3.mga10
+ Revision: 2162581
- rebuild for new protobuf 30.0

* Thu Dec 22 2022 wally <wally> 1.4.0-2.mga9
+ Revision: 1925791
- rebuild for protobuf 21.12

* Sun Nov 06 2022 daviddavid <daviddavid> 1.4.0-1.mga9
+ Revision: 1904144
- new version: 1.4.0
- remove no more needed patches

* Wed Mar 30 2022 umeabot <umeabot> 1.3.2-14.mga9
+ Revision: 1833756
- Mageia 9 Mass Rebuild

* Tue Dec 28 2021 wally <wally> 1.3.2-13.mga9
+ Revision: 1765052
- build without -Werror
- fix bash completion file location
- rebuild for protobuf 3.19.1
- rebuild for openssl 3.0.0

* Fri Dec 18 2020 luigiwalser <luigiwalser> 1.3.2-11.mga8
+ Revision: 1660986
- rebuild for protobuf

* Mon Nov 30 2020 luigiwalser <luigiwalser> 1.3.2-10.mga8
+ Revision: 1650537
- rebuild for protobuf

* Sun Jun 28 2020 daviddavid <daviddavid> 1.3.2-9.mga8
+ Revision: 1600172
- rebuild for new protobuf 3.12.3

* Tue Feb 18 2020 umeabot <umeabot> 1.3.2-8.mga8
+ Revision: 1540990
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Dec 19 2019 daviddavid <daviddavid> 1.3.2-7.mga8
+ Revision: 1468850
- rebuild for new protobuf 3.11.2

* Sat Dec 29 2018 luigiwalser <luigiwalser> 1.3.2-6.mga7
+ Revision: 1346014
- rebuild for protobuf

* Fri Sep 28 2018 daviddavid <daviddavid> 1.3.2-5.mga7
+ Revision: 1309891
- add debian patch to fix build with gcc8
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild

* Sun Apr 15 2018 daviddavid <daviddavid> 1.3.2-4.mga7
+ Revision: 1219001
- rebuild for new protobuf 3.5

* Sat Sep 16 2017 daviddavid <daviddavid> 1.3.2-3.mga7
+ Revision: 1154770
- rebuild for new boost 1.64.0
- add debian patch to fix build with new gcc7
- enable ufw and completion support

* Fri Sep 01 2017 daviddavid <daviddavid> 1.3.2-2.mga7
+ Revision: 1150411
- rebuild for new openssl 1.1.0f

* Sun Jul 23 2017 daviddavid <daviddavid> 1.3.2-1.mga7
+ Revision: 1129132
- new version: 1.3.2
- update Source URL

* Wed Apr 26 2017 akien <akien> 1.3.0-1.mga6
+ Revision: 1097536
- Version 1.3.0

* Sat Aug 20 2016 daviddavid <daviddavid> 1.2.6-1.mga6
+ Revision: 1047145
- new version: 1.2.6

* Mon Feb 15 2016 umeabot <umeabot> 1.2.5-4.mga6
+ Revision: 961496
- Mageia 6 Mass Rebuild

* Fri Sep 25 2015 daviddavid <daviddavid> 1.2.5-3.mga6
+ Revision: 883444
- rebuild for new boost 1.59.0
- introduce license macro

* Sat Aug 29 2015 cjw <cjw> 1.2.5-2.mga6
+ Revision: 870775
- rebuild with gcc 5

* Fri Jul 24 2015 daviddavid <daviddavid> 1.2.5-1.mga6
+ Revision: 856778
- new version: 1.2.5
- update Source URL
- update file list

* Wed Oct 15 2014 umeabot <umeabot> 1.2.4-5.mga5
+ Revision: 739530
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.4-4.mga5
+ Revision: 682600
- Mageia 5 Mass Rebuild

* Mon Sep 01 2014 luigiwalser <luigiwalser> 1.2.4-3.mga5
+ Revision: 670347
- rebuild for protobuf

* Fri Jul 25 2014 daviddavid <daviddavid> 1.2.4-2.mga5
+ Revision: 656536
- switch BRs to pkgconfig
- improved description
- rebuild to update release tag

* Fri Sep 27 2013 sander85 <sander85> 1.2.4-1.mga5
+ Revision: 487917
- New version: 1.2.4

* Wed Jul 10 2013 fwang <fwang> 1.2.3-3.mga4
+ Revision: 452407
- rebuild for new boost

* Sat Jan 12 2013 umeabot <umeabot> 1.2.3-2.mga3
+ Revision: 360282
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 13 2012 wally <wally> 1.2.3-1.mga3
+ Revision: 330361
- new version 1.2.3
- drop upstream applied CVE patch
- use upstream hardening flags instead of ours
- clean .spec a bit

* Wed Jun 27 2012 luigiwalser <luigiwalser> 1.1.3-2.mga3
+ Revision: 264230
- add upstream patch to fix CVE-2012-2385

* Wed Apr 11 2012 boklm <boklm> 1.1.3-1.mga2
+ Revision: 230221
- update to version 1.1.3
- update files list
- use make and makeinstall_std macros
- update release and group tags
- imported package mosh


* Mon Mar 26 2012 Alexander Chernyakhovsky <achernya@mit.edu> - 1.1.1-1
- Update to mosh 1.1.1.

* Wed Mar 21 2012 Alexander Chernyakhovsky <achernya@mit.edu> - 1.1-1
- Initial packaging for mosh.
